package ruleEngine

import "sparrow/pkg/protocol"

// Actor interface
type Actor interface {
	GetActorRef() Ref
	Init(ctx Ctx) error
	Process(msg protocol.ActorMsg) error
	Destroy() error
	OnProcessFailure(err error) *ProcessFailureStrategy
}
